#
# spec file for package susemanager-manuals_en
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           susemanager-manuals_en
%define my_lang en
%define my_book susemanager-all
Version:        1.2
Release:        1.3
Provides:       locale(desktop-data-openSUSE:en)
#OBS
Source00:       susemanager-all_en-html.tar.bz2
Source01:       susemanager-all_en-desktop.tar.bz2
Source02:       susemanager-all_en-graphics.tar.bz2
Source03:       susemanager-all_en.tar.bz2
Source10:       susemanager-quick_en.pdf
#Source11: susemanager-quick_en-graphics.tar.bz2
#Source12: susemanager-quick_en.tar.bz2
Source13:       susemanager-quick_en-pdf-yelp.tar.bz2
Source20:       susemanager-install_en.pdf
#Source21: susemanager-install_en-graphics.tar.bz2
#Source22: susemanager-install_en.tar.bz2
Source23:       susemanager-install_en-pdf-yelp.tar.bz2
Source30:       susemanager-reference_en.pdf
#Source31: susemanager-reference_en-graphics.tar.bz2
#Source32: susemanager-reference_en.tar.bz2
Source33:       susemanager-reference_en-pdf-yelp.tar.bz2
Source40:       susemanager-client-config_en.pdf
#Source41: susemanager-client-config_en-graphics.tar.bz2
#Source42: susemanager-client-config_en.tar.bz2
Source43:       susemanager-client-config_en-pdf-yelp.tar.bz2
#SOURCES
Source901:      doc_pre_checkin.sh
Source903:      attributes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Group:          Documentation/SUSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        SUSE Manager Documentation (English)
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual

%description
SUSE Manager Documentation (English).



%package -n susemanager-quick_en-pdf
Group:          Documentation/SUSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        SUSE Manager Quick Start (English, PDF)
#Provides:    locale(desktop-data-openSUSE:en)
###PDFOBS

%description -n susemanager-quick_en-pdf
SUSE Manager Quick Start (English, PDF).



%package -n susemanager-install_en-pdf
Group:          Documentation/SUSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        SUSE Manager Installation Guide (English, PDF)
#Provides:    locale(desktop-data-openSUSE:en)
###PDFOBS

%description -n susemanager-install_en-pdf
SUSE Manager Installation Guide (English, PDF).



%package -n susemanager-reference_en-pdf
Group:          Documentation/SUSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        SUSE Manager Reference (English, PDF)
#Provides:    locale(desktop-data-openSUSE:en)
###PDFOBS

%description -n susemanager-reference_en-pdf
SUSE Manager Reference (English, PDF).



%package -n susemanager-client-config_en-pdf
Group:          Documentation/SUSE
License:        GNU Free Documentation License, Version 1.2 (GFDL 1.2)
Summary:        SUSE Manager Client Configuration Guide (English, PDF)
#Provides:    locale(desktop-data-openSUSE:en)
###PDFOBS

%description -n susemanager-client-config_en-pdf
SUSE Manager Client Configuration Guide (English, PDF).



%prep
#%setup -c -q
%setup -c -q -a 01
#echo "This PDF package is empty.  Find the PDFs in sub-packages." >README-pdf
#PREP
find -name '*.png' -o -name '*.svg' | xargs chmod 644 || :
tar xvf %{S:13}
tar xvf %{S:23}
tar xvf %{S:33}
tar xvf %{S:43}
#PDFPREP

%build
# make sure index.html exists
for f in $(find html -type f -name 'book.*'); do
  pushd ${f%/*}
  [ -f index.html -o -L index.html ] || ln -sf ${f##*/} index.html
  popd
done

%install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
# is set for sles or sled as /sles or /sled
# mkdir -p  desktop/{startup,reference,application,apparmor-admin-guide}
###
# product is name without language code
%define gnome_dir %{_datadir}/gnome/help/susemanager-manuals
install -d $RPM_BUILD_ROOT%{gnome_dir}
#
if [ -d html/%my_book ]; then
mv html/%my_book html/manual
### handle desktop files
pushd desktop
# problem writing desktop files on 10.3
### CHECKIT: still necessary on 11.0?
if [ -d index.desktop ]; then
  for f in $(find index.desktop -mindepth 1 -maxdepth 1); do
    mv $f .
  done
  rmdir index.desktop
fi
### CHECKIT: can we fix this for 11.0?  Just avoid the subdir...
if [ ! -f .directory ]; then
  # stand-alone book, hidden in sub-directory
  dir=$(find . -maxdepth 1 -type d -name 'book_*')
  if [ -n "$dir" ]; then
    for f in $(find $dir -mindepth 1 -maxdepth 1); do
      mv $f .
    done
    rmdir $dir
  fi
fi
for d in $(find . -maxdepth 1 -type d -name 'book*'); do
  id=${d//\./}
  id=${id//\//}%{my_lang}
  pushd $d
  for f in $(find . -name '.directory'); do
    sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
    case $d in
      *_startup)
        [ $f = "./.directory" ] \
          && sed -i "s|^\(X-DOC-Weight\).*|\1=-10000|" $f ;;
    esac
  done
  popd
done
### remove it, only keep yelp and kde4 -- they depend on top-level
### .directory files...
# Probably useful for stand-alone books
for f in $(find . -name '*.directory'); do
  id=%{name}
  id=${id//_/}
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
s/\[\]//
s|@id@|$id|" $f
  # Fix the index.html reference
  if [ $f = ./.directory ]; then
    sed -i 's:\(^DocPath.*/\).*:\1index.html:
s/^\(Name\|Comment\)\(.*\)/\1\2 (%{my_lang})/' $f

    # write yelp / rarian file
    sed "
# remove useless comments and search settings
/^Comment/d
/^X-DOC-Search/d
s/^\[Desktop Entry\]/[Document]/
/^Name *=/i\
DocPath=file://%{_defaultdocdir}/%{name}/manual/index.html\n\
DocType=text/html\n\
DocLang=%{my_lang}\n\
Icon=document2\n\
Categories=System;Core;Translation;Documentation
s/^X-DOC-Identifier=/DocIdentifier=com.novell./
s/^X-DOC-Weight/DocWeight/
" $f > ../%{name}.document
# %{summary} is unreliable
#     my_title=$(echo "%{summary}" \
#       | sed 's/\(as \)*[Pp][Dd][Ff]//;s/ *(.*)//')
#     #if grep -s -q '^Name *= *$' ../%{name}.document; then
#     sed -i "
# s/^\(Name.*\)=\(.*\)/\1=$my_title \2/" ../%{name}.document
    # fi
    # if Name contains just "Documentation", add product info
    # FIXME: check this properly
    if ! grep -s -q '^Name *= *SUSEMANAGER' ../%{name}.document; then
      sed -i "
s/^\(Name.*\)=\(.*\)/\1=SUSEMANAGER \2/" ../%{name}.document
    fi
  fi
  # make sure to sort sles-startup guide first
  case %name in
    sles-startup*)
      [ $f = "./.directory" ] \
        && sed -i "s|^\(X-DOC-Weight\).*|\1=-2000|" $f ;;
  esac
done
popd
if [ -d yelp ]; then
  pushd yelp
  for f in *.document; do
    dir=${f%.document}
    pdf_file=${dir/-pdf/.pdf}
    dir=$(echo $dir | tr [:upper:] [:lower:])
    sed -i "s|^\(DocPath=\).*|\1/usr/share/doc/manual/$dir/$pdf_file|
s|^Categories=.*|Categories=System;Core;Translation;Documentation|
s|^\(Name.*\)|\1 (PDF)|" $f
  done
  popd
fi
if [ %{my_lang} = "en" ]; then
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/help
  for f in yelp/*.document; do
    file=$(echo $f | tr [:upper:] [:lower:])
    cp $f $RPM_BUILD_ROOT%{_datadir}/help/${file#*/}
  done
  sed "s/Documentation *\(Documentation\)/\1/" %{name}.document \
    > $RPM_BUILD_ROOT%{_datadir}/help/%{name}.document
  # KDE4
  %define kdedir %{_datadir}/kde4/apps/khelpcenter/plugins
  mkdir -p $RPM_BUILD_ROOT/%kdedir
  pushd $RPM_BUILD_ROOT%{_datadir}/help
  for doc in *.document; do
    sed "\
s/\[Document\]/[Desktop Entry]/
" $doc >$RPM_BUILD_ROOT/%kdedir/${doc%\.document}.desktop
  done
  popd
else
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/help/LOCALE/%{my_lang}
  for f in yelp/*.document; do
    file=$(echo $f | tr [:upper:] [:lower:])
    cp $f $RPM_BUILD_ROOT%{_datadir}/help/LOCALE/%{my_lang}/${file#*/}
  done
  sed "s/Documentation *\(Documentation\)/\1/" %{name}.document \
    > $RPM_BUILD_ROOT%{_datadir}/help/LOCALE/%{my_lang}/%{name}.document
fi
# old stuff
# Link it into the Gnome help system (must be found by calling
# susehelp help://suselinux-manual/
pushd $RPM_BUILD_ROOT%{gnome_dir}
if [ %{my_lang} = "en" ]; then
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual C
else
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/manual
  install -d $target
  ln -sf %{_defaultdocdir}/%{name}/manual %{my_lang}
fi
popd
else
# PDF only books
install -d html/manual
echo PDF only > html/manual/%{name}
fi
cp %{S:10} . 
mkdir susemanager-quick 

cp %{S:20} . 
mkdir susemanager-install 

cp %{S:30} . 
mkdir susemanager-reference 

cp %{S:40} . 
mkdir susemanager-client-config 

#PDFINST

%clean
rm -fr ${RPM_BUILD_ROOT}

#PDFXXX

%files -n susemanager-quick_en-pdf
%defattr(-, root, root)
%doc susemanager-quick_en.pdf
%{_datadir}/help/susemanager-quick_en-pdf.document
%dir %{_datadir}/kde4/apps/khelpcenter/plugins
%dir %{_datadir}/kde4/apps/khelpcenter
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4
%{_datadir}/kde4/apps/khelpcenter/plugins/susemanager-quick_en-pdf.desktop

%files -n susemanager-install_en-pdf
%defattr(-, root, root)
%doc susemanager-install_en.pdf
%{_datadir}/help/susemanager-install_en-pdf.document
%dir %{_datadir}/kde4/apps/khelpcenter/plugins
%dir %{_datadir}/kde4/apps/khelpcenter
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4
%{_datadir}/kde4/apps/khelpcenter/plugins/susemanager-install_en-pdf.desktop

%files -n susemanager-reference_en-pdf
%defattr(-, root, root)
%doc susemanager-reference_en.pdf
%{_datadir}/help/susemanager-reference_en-pdf.document
%dir %{_datadir}/kde4/apps/khelpcenter/plugins
%dir %{_datadir}/kde4/apps/khelpcenter
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4
%{_datadir}/kde4/apps/khelpcenter/plugins/susemanager-reference_en-pdf.desktop

%files -n susemanager-client-config_en-pdf
%defattr(-, root, root)
%doc susemanager-client-config_en.pdf
%{_datadir}/help/susemanager-client-config_en-pdf.document
%dir %{_datadir}/kde4/apps/khelpcenter/plugins
%dir %{_datadir}/kde4/apps/khelpcenter
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4
%{_datadir}/kde4/apps/khelpcenter/plugins/susemanager-client-config_en-pdf.desktop

#PDFFILES

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}
%doc html/manual
#GNOME -- probably obsolete now
%{gnome_dir}
%dir /usr/share/gnome
%dir /usr/share/gnome/help
#recent GNOME
%dir %{_datadir}/help
%{_datadir}/help/%{name}.document
#KDE4
%dir %{_datadir}/kde4/apps/khelpcenter/plugins
%dir %{_datadir}/kde4/apps/khelpcenter
%dir %{_datadir}/kde4/apps
%dir %{_datadir}/kde4
%{_datadir}/kde4/apps/khelpcenter/plugins/%{name}.desktop
%changelog
* Mon Feb 21 2011 ke@suse.de
- Update text and image files.
* Mon Feb 21 2011 ke@suse.de
- Update text and image files.
* Mon Feb 21 2011 ke@suse.de
- Update text and image files.
* Mon Feb 21 2011 ke@suse.de
- Update text and image files.
* Sat Feb 19 2011 ke@suse.de
- Update text and image files.
* Fri Feb 18 2011 ke@suse.de
- Update text and image files.
* Fri Feb 18 2011 ke@suse.de
- Update text and image files.
* Fri Feb 18 2011 ke@suse.de
- Update text and image files.
* Fri Feb 18 2011 ke@suse.de
- Update text and image files.
* Thu Feb 17 2011 ke@suse.de
- Update text and image files.
* Thu Feb 17 2011 ke@suse.de
- Update text and image files.
* Thu Feb 17 2011 ke@suse.de
- Update text and image files.
* Thu Feb 17 2011 ke@suse.de
- Update text and image files.
* Wed Feb 16 2011 ke@suse.de
- Update text and image files.
* Wed Feb 16 2011 ke@suse.de
- Update text and image files.
* Wed Feb 16 2011 ke@suse.de
- Update text and image files.
* Tue Feb 15 2011 ke@suse.de
- Update text and image files.
* Tue Feb 15 2011 ke@suse.de
- Update text and image files.
* Tue Feb 15 2011 ke@suse.de
- Update text and image files.
* Mon Feb 14 2011 ke@suse.de
- Update text and image files.
* Mon Feb 14 2011 ke@suse.de
- Update text and image files.
* Mon Feb 14 2011 ke@suse.de
- Update text and image files.
- Use updated XSL style sheets to fix layout issues.
* Sat Feb 12 2011 ke@suse.de
- Update text and image files.
* Fri Feb 11 2011 ke@suse.de
- Update text and image files.
* Fri Feb 11 2011 ke@suse.de
- Update text and image files.
* Fri Feb 11 2011 ke@suse.de
- Update text and image files.
* Thu Feb 10 2011 ke@suse.de
- Update text and image files.
* Thu Feb 10 2011 ke@suse.de
- Update text and image files.
* Wed Feb  9 2011 ke@suse.de
- Update text and image files.
* Wed Feb  9 2011 ke@suse.de
- Update text and image files.
* Tue Feb  8 2011 ke@suse.de
- Update text and image files.
* Tue Feb  8 2011 ke@suse.de
- Update text and image files.
* Tue Feb  8 2011 ke@suse.de
- Update text and image files.
* Mon Feb  7 2011 ke@suse.de
- Update text and image files.
* Sun Feb  6 2011 ke@suse.de
- Update text and image files.
* Sat Feb  5 2011 ke@suse.de
- Update text and image files.
* Sat Feb  5 2011 ke@suse.de
- Update text and image files.
* Sat Feb  5 2011 ke@suse.de
- Update text and image files.
* Fri Feb  4 2011 ke@suse.de
- Update text and image files.
* Fri Feb  4 2011 ke@suse.de
- Update text and image files.
* Thu Feb  3 2011 ke@suse.de
- Update text and image files.
* Thu Feb  3 2011 ke@suse.de
- Update text and image files.
* Thu Feb  3 2011 ke@suse.de
- Update text and image files.
* Thu Feb  3 2011 ke@suse.de
- Update text and image files.
* Thu Feb  3 2011 ke@suse.de
- Update text and image files.
* Thu Feb  3 2011 ke@suse.de
- Update text and image files.
* Wed Feb  2 2011 ke@suse.de
- Update text and image files.
* Tue Feb  1 2011 ke@suse.de
- Update text and image files.
* Sun Jan 30 2011 ke@suse.de
- Update text and image files.
* Sat Jan 29 2011 ke@suse.de
- Update text and image files.
* Fri Jan 28 2011 ke@suse.de
- Update text and image files.
* Thu Jan 27 2011 ke@suse.de
- Update text and image files.
* Wed Jan 26 2011 ke@suse.de
- Update text and image files.
* Tue Jan 25 2011 ke@suse.de
- Update text and image files.
* Sun Jan 23 2011 ke@suse.de
- Update text and image files.
* Sat Jan 22 2011 ke@suse.de
- Update text and image files.
* Fri Jan 21 2011 ke@suse.de
- Update text and image files.
* Thu Jan 20 2011 ke@suse.de
- Update text and image files.
* Wed Jan 19 2011 ke@suse.de
- Update text and image files.
* Tue Jan 18 2011 ke@suse.de
- Update text and image files.
* Sun Jan 16 2011 ke@suse.de
- Update text and image files.
* Sat Jan 15 2011 ke@suse.de
- Update text and image files.
* Fri Jan 14 2011 ke@suse.de
- Update text and image files.
* Thu Jan 13 2011 ke@suse.de
- Update text and image files.
* Wed Jan 12 2011 ke@suse.de
- Update text and image files.
* Tue Jan 11 2011 ke@suse.de
- Update text and image files.
* Sun Jan  9 2011 ke@suse.de
- Update text and image files.
* Sat Jan  8 2011 ke@suse.de
- Update text and image files.
* Fri Jan  7 2011 ke@suse.de
- Update text and image files.
* Wed Jan  5 2011 ke@suse.de
- Update text and image files.
* Tue Jan  4 2011 ke@suse.de
- Update text and image files.
* Sat Jan  1 2011 ke@suse.de
- Update text and image files.
* Fri Dec 31 2010 ke@suse.de
- Update text and image files.
* Thu Dec 30 2010 ke@suse.de
- Update text and image files.
* Wed Dec 29 2010 ke@suse.de
- Update text and image files.
* Sat Dec 25 2010 ke@suse.de
- Update text and image files.
* Fri Dec 24 2010 ke@suse.de
- Update text and image files.
* Thu Dec 23 2010 ke@suse.de
- Update text and image files.
* Wed Dec 22 2010 ke@suse.de
- Update text and image files.
* Tue Dec 21 2010 ke@suse.de
- Update text and image files.
* Mon Dec 20 2010 ke@suse.de
- Update text and image files.
* Sun Dec 19 2010 ke@suse.de
- Update text and image files.
* Sat Dec 18 2010 ke@suse.de
- Update text and image files.
* Fri Dec 17 2010 ke@suse.de
- Update text and image files.
* Thu Dec 16 2010 ke@suse.de
- Update text and image files.
* Wed Dec 15 2010 ke@suse.de
- Update text and image files.
* Tue Dec 14 2010 ke@suse.de
- Update text and image files.
* Mon Dec 13 2010 ke@suse.de
- Update text and image files.
* Mon Dec 13 2010 ke@suse.de
- Update text and image files.
* Mon Dec 13 2010 ke@suse.de
- Update text and image files.
* Fri Dec 10 2010 ke@suse.de
- Update text and image files.
* Thu Dec  9 2010 ke@suse.de
- Update text and image files.
* Wed Dec  8 2010 ke@suse.de
- Update text and image files.
* Tue Dec  7 2010 ke@suse.de
- Update text and image files.
* Fri Dec  3 2010 ke@suse.de
- Update text and image files.
* Thu Dec  2 2010 ke@suse.de
- Update text and image files.
* Wed Dec  1 2010 ke@suse.de
- Update text and image files.
* Tue Nov 30 2010 ke@suse.de
- Update text and image files.
* Sun Nov 28 2010 ke@suse.de
- Update text and image files.
* Sat Nov 27 2010 ke@suse.de
- Update text and image files.
* Fri Nov 26 2010 ke@suse.de
- Update text and image files.
* Thu Nov 25 2010 ke@suse.de
- Update text and image files.
* Wed Nov 24 2010 ke@suse.de
- Update text and image files.
* Tue Nov 23 2010 ke@suse.de
- Update text and image files.
* Sun Nov 21 2010 ke@suse.de
- Update text and image files.
* Sat Nov 20 2010 ke@suse.de
- Update text and image files.
* Fri Nov 19 2010 ke@suse.de
- Update text and image files.
* Thu Nov 18 2010 ke@suse.de
- Update text and image files.
* Wed Nov 17 2010 ke@suse.de
- Update text and image files.
* Tue Nov 16 2010 ke@suse.de
- Update text and image files.
* Tue Nov 16 2010 ke@suse.de
- Update text and image files.
* Mon Nov 15 2010 ke@suse.de
- Update text and image files.
* Mon Nov 15 2010 ke@suse.de
- New package.
